org.bdgenomics.adam.algorithms.prefixtrie

# DNAPrefixTrie

#### trait DNAPrefixTrie[V] extends Serializable

This trait represents a prefix trie that stores a mapping between string keys representing DNA sequences, and values of any type. Classes that implement this trait are assumed to be immutable. For DNA sequences, we allow the storage of unambiguous bases ("ACTG"). Search methods accept the unambiguous bases and wildcards ("N" or "*").

V

  The type of the values stored in the trie.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DNAPrefixTrie
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def contains(key: String): Boolean

   Checks whether this tree contains a specific key.

   Checks whether this tree contains a specific key. The contains method accepts wildcards (either '*' or 'N') for doing a wildcard content check.

   key

     Key to check for the existance of.

   returns

     Returns true if the key is found.

2. #### abstract def get(key: String): V

   Gets the value of a key that is contained in the tree.

   Gets the value of a key that is contained in the tree. This method throws an exception if the key is not found in the tree. This method and all other getters do not take wildcards.

   key

     Key to search for the value of.

   returns

     Returns the value corresponding to this key.

   Exceptions thrown
     IllegalArgumentException

     Throws an exception if the key is not in the collection.

   See also

     search

     getIfExists

     getOrElse

3. #### abstract def getIfExists(key: String): Option[V]

   Gets the value of a key that is contained in the tree, wrapped as an option.

   Gets the value of a key that is contained in the tree, wrapped as an option. None is returned if the key is not found. This method and all other getters do not take wildcards.

   key

     Key to search for the value of.

   returns

     Returns the value wrapped in an option. None is returned if the key is not found.

   See also

     search

     getOrElse

     get

4. #### abstract def getOrElse(key: String, default: V): V

   Gets the value of a key that is contained in the tree.

   Gets the value of a key that is contained in the tree. If this key is not found, a user-provided default value is returned. This method and all other getters do not take wildcards.

   key

     Key to search for the value of.

   default

     Default value to return if the key is not found.

   returns

     Returns the value corresponding to this key, or a default value if the key is not found.

   See also

     search

     getIfExists

     get

5. #### abstract def prefixSearch(key: String): Map[String, V]

   Searches for all keys that match a given prefix.

   Searches for all keys that match a given prefix. The prefix can include wildcards. The behavior of this method is identical to the other search method.

   key

     Key to search for, with wildcards.

   returns

     Returns a map containing all keys that match this search key, and their values.

   See also

     suffixSearch

     search

6. #### abstract def search(key: String): Map[String, V]

   Searches for all possible values that match a key, including wildcards.

   Searches for all possible values that match a key, including wildcards. Returns the values and keys that match the wildcard in a map.

   key

     Key to search for, with wildcards.

   returns

     Returns a map containing all keys that match this search key, and their values.

   See also

     suffixSearch

     prefixSearch

7. #### abstract def size: Int

   Returns the number of key/value pairs stored in this trie.

   Returns the number of key/value pairs stored in this trie.

   returns

     The count of key/value pairs in this trie.

8. #### abstract def suffixSearch(key: String): Map[String, V]

   Searches for all keys that match a given suffix.

   Searches for all keys that match a given suffix. The suffix can include wildcards. The behavior of this method is identical to the other search method.

   key

     Key to search for, with wildcards.

   returns

     Returns a map containing all keys that match this search key, and their values.

   See also

     prefixSearch

     search

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped